---
title: "Delete smart fields from template"
url: "https://docs.signnow.com/docs/smart-fields/operations/delete-document-template_id-integration_objects"
type: "endpoint"
section: "smart-fields"
slug: "smart-fields/operations/delete-document-template_id-integration_objects"
method: "DELETE"
path: "/document/{template_id}/integration_objects"
operation_id: "delete-document-template_id-integration_objects"
authorization: "bearer"
---

# Delete smart fields from template

`DELETE /document/{template_id}/integration_objects`

Allows API users to delete smart fields from a template. 

## Authorization

bearer

## Path Parameters

| Name | Type | Required | Description |
|------|------|----------|-------------|
| `template_id` | string | Yes | ID of the template |

## Request Body

**Schema**

```json
{
  "type": "object",
  "required": [
    "integration_objects"
  ],
  "properties": {
    "integration_objects": {
      "type": "array",
      "items": {
        "type": "string"
      },
      "description": "Array of integration objects to be deleted."
    }
  },
  "x-examples": {
    "example-1": {
      "integration_objects": [
        "10a31fb24b874f6bafe25898b203869798927398",
        "fdd70ca993ec4141ab082426e7df592467ea485e"
      ]
    }
  }
}
```

**Example** (`example-1`)

```json
{
  "integration_objects": [
    "10XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX",
    "fdXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX"
  ]
}
```

## Responses

### 200

OK

**Example** (`example-1`)

```json
{
  "status": "success"
}
```

### 400

Bad Request

**Example** (`Invalid Authorization`)

```json
{
  "code": 1537,
  "error": "invalid_token"
}
```

**Example** (`Integration objects array is required`)

```json
{
  "code": 65536,
  "message": "Integration objects array is required."
}
```

**Example** (`Invalid data provided for integration objects`)

```json
{
  "code": 65536,
  "message": "Invalid data provided for integration objects"
}
```

## Code Examples

> Replace `$SIGNNOW_ACCESS_TOKEN` and any `{placeholder}` values before running.

### cURL

```bash
curl -X DELETE \
  "https://api.signnow.com/document/{template_id}/integration_objects" \
  -H "Authorization: Bearer $SIGNNOW_ACCESS_TOKEN"
```

---
*Full reference: https://docs.signnow.com/docs/smart-fields/operations/delete-document-template_id-integration_objects*
